%define srcname SQLObject
%define oname	sqlobject

Name:           python-sqlobject
Version:        3.11.0
Release:        %mkrel 1
Summary:        SQLObject Object-Relational Manager, aka database wrapper
Group:          Development/Python
License:        LGPLv2+
URL:            https://sqlobject.org/
Source0:        https://pypi.io/packages/source/S/SQLObject/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
Classes created using SQLObject wrap database rows, presenting a
friendly-looking Python object instead of a database/SQL interface.
Emphasizes convenience.  Works with MySQL, Postgres, SQLite, Firebird.

This package requires sqlite. Further database connectors have to be
installed separately.

#------------------------------------------------------------------------------

%package -n python3-%{oname}
Summary:        SQLObject Object-Relational Manager, aka database wrapper
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
Requires:       python3dist(mysqlclient)
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
Classes created using SQLObject wrap database rows, presenting a
friendly-looking Python object instead of a database/SQL interface.
Emphasizes convenience.  Works with MySQL, Postgres, SQLite, Firebird.

This package requires sqlite. Further database connectors have to be
installed separately.

%files -n python3-%{oname} -f %{pyproject_files}
%doc PKG-INFO README.rst docs/*
%{_bindir}/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
chmod 0644 docs/rebuild

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sqlobject


%changelog
* Tue Feb 20 2024 papoteur <papoteur> 3.11.0-1.mga10
+ Revision: 2042675
- rebuild for python 3.12
- new version 3.11.0

* Tue Mar 29 2022 umeabot <umeabot> 3.9.1-2.mga9
+ Revision: 1832175
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 3.9.1-1.mga9
+ Revision: 1782364
- version 3.9.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.7.3-3.mga9
+ Revision: 1732944
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 3.7.3-2.mga8
+ Revision: 1538420
- Mageia 8 Mass Rebuild

* Wed Nov 20 2019 daviddavid <daviddavid> 3.7.3-1.mga8
+ Revision: 1461840
- new version: 3.7.3

* Mon Sep 23 2019 tv <tv> 3.7.0-2.mga8
+ Revision: 1444917
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 3.7.0-1.mga7
+ Revision: 1354434
- New version

* Thu Sep 20 2018 umeabot <umeabot> 3.6.0-3.mga7
+ Revision: 1290267
- Mageia 7 Mass Rebuild

* Sat Apr 07 2018 daviddavid <daviddavid> 3.6.0-2.mga7
+ Revision: 1215899
- fix requires

* Thu Mar 22 2018 kekepower <kekepower> 3.6.0-1.mga7
+ Revision: 1211336
- Update to version 3.6.0
- Renamed python-sqlobject to python2-sqlobject
- Added python3-sqlobject

* Sat Feb 20 2016 umeabot <umeabot> 2.1.2-2.mga6
+ Revision: 971138
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 2.1.2-1.mga6
+ Revision: 889351
- new version: 2.1.2
- use new python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-7.mga5
+ Revision: 751054
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.2-6.mga5
+ Revision: 729837
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-5.mga5
+ Revision: 688353
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3.2-3.mga4
+ Revision: 544245
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.2-2.mga4
+ Revision: 499459
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Feb 09 2013 mikala <mikala> 1.3.2-1.mga3
+ Revision: 397653
- imported package python-sqlobject

